"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeprecatedEnmapStuff = void 0;
class DeprecatedEnmapStuff {
    constructor(options) {
        // Obsolete option, I don't want this to appear in types!
        // @ts-ignore
        if (options.polling || options.pollingInterval) {
            process.emitWarning('Polling features has been removed in Enmap v6 as they are no longer necessary due to a lack of caching. Please remove polling and pollingInterval options.');
        }
    }
    /* Deleted methods, throw due to updating to V6 without reading docs */
    setProp() {
        throw 'ENMAP V6: Method enmap.setProp() Removed. Please downgrade to V5 or see migration guide at : https://enmap.evie.dev/install/upgrade/';
    }
    pushIn() {
        throw 'ENMAP V6: Method enmap.pushIn() Removed. Please downgrade to V5 or see migration guide at : https://enmap.evie.dev/install/upgrade/';
    }
    getProp() {
        throw 'ENMAP V6: Method enmap.getProp() Removed. Please downgrade to V5 or see migration guide at : https://enmap.evie.dev/install/upgrade/';
    }
    deleteProp() {
        throw 'ENMAP V6: Method enmap.deleteProp() Removed. Please downgrade to V5 or see migration guide at : https://enmap.evie.dev/install/upgrade/';
    }
    removeFrom() {
        throw 'ENMAP V6: Method enmap.removeFrom() Removed. Please downgrade to V5 or see migration guide at : https://enmap.evie.dev/install/upgrade/';
    }
    hasProp() {
        throw 'ENMAP V6: Method enmap.hasProp() Removed. Please downgrade to V5 or see migration guide at : https://enmap.evie.dev/install/upgrade/';
    }
    exists() {
        throw 'ENMAP V6: Method enmap.exists() Removed. Please downgrade to V5 or see migration guide at : https://enmap.evie.dev/install/upgrade/';
    }
    partition() {
        throw 'ENMAP V6: Method enmap.partition() Removed. Please downgrade to V5 or see migration guide at : https://enmap.evie.dev/install/upgrade/';
    }
    equals() {
        throw 'ENMAP V6: Method enmap.equals() Removed. Please downgrade to V5 or see migration guide at : https://enmap.evie.dev/install/upgrade/';
    }
    fetch() {
        throw 'ENMAP V6: Method enmap.fetch() Removed. Please downgrade to V5 or see migration guide at : https://enmap.evie.dev/install/upgrade/';
    }
    fetchEverything() {
        throw 'ENMAP V6: Method enmap.fetchEverything() Removed. Please downgrade to V5 or see migration guide at : https://enmap.evie.dev/install/upgrade/';
    }
    evict() {
        throw 'ENMAP V6: Method enmap.evict() Removed. Please downgrade to V5 or see migration guide at : https://enmap.evie.dev/install/upgrade/';
    }
    changed() {
        throw 'ENMAP V6: Method enmap.changed() Removed. Please downgrade to V5 or see migration guide at : https://enmap.evie.dev/install/upgrade/';
    }
    observe() {
        throw 'ENMAP V6: Method enmap.observe() Removed. Please downgrade to V5 or see migration guide at : https://enmap.evie.dev/install/upgrade/';
    }
    get length() {
        throw 'ENMAP V6: Property renamed to "size". Use enmap.size instead of enmap.length. Please see the migration guide at : https://enmap.evie.dev/install/upgrade/';
    }
    get count() {
        throw 'ENMAP V6: Property renamed to "size". Use enmap.size instead of enmap.count. Please see the migration guide at : https://enmap.evie.dev/install/upgrade/';
    }
    get indexes() {
        throw 'ENMAP V6: Property renamed to "keys()" method. Use enmap.keys() instead of enmap.indexes. Please see the migration guide at : https://enmap.evie.dev/install/upgrade/';
    }
    deleteAll() {
        throw 'ENMAP V6: Method enmap.deleteAll() renamed to enmap.clear(). Use the clear() method instead. Please see the migration guide at : https://enmap.evie.dev/install/upgrade/';
    }
    array() {
        throw 'ENMAP V6: Method enmap.array() renamed to enmap.values(). Use the values() method instead. Please see the migration guide at : https://enmap.evie.dev/install/upgrade/';
    }
    keyArray() {
        throw 'ENMAP V6: Method enmap.keyArray() renamed to enmap.keys(). Use the keys() method instead. Please see the migration guide at : https://enmap.evie.dev/install/upgrade/';
    }
}
exports.DeprecatedEnmapStuff = DeprecatedEnmapStuff;
